Subject: Re: [RTG-DIR] RtgDir review: draft-ietf-mboned-mcaddrdoc-03.txt

From: Stig Venaas <[email-masked]>
Date: Tue, 01 May 2012 12:00:54 -0700

Thanks Geoff, one comment below.

On 4/30/2012 2:00 PM, Geoff Huston wrote:
> Hello,
>
> I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see http://www.ietf.org/iesg/directorate/routing.html
>
> Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.
>
> Document: draft-ietf-mboned-mcaddrdoc-03.txt
> Reviewer: Geoff Huston
> Review Date: 2 May 2012
> IETF LC End Date: not known
> Intended Status: Informational
>
> Summary:
>
>     I have some minor concerns about this document that I think should be resolved before publication.
>
> Comments:
>
>     The draft is clear and readily understandably - quality is good and no changes are suggested here.
>
> Major Issues:
> No major issues found.
>
> Minor Issues:
>
> 1.   Section 2, First paragraph reads:
>
>      "For Any-Source Multicast (ASM), the IPv4 multicast addresses
>     allocated for documentation purposes are 233.252.0.0 - 233.252.0.255
>     (233.252.0.0/24)."
>
>     But the IANA Multicast registry (http://www.iana.org/assignments/multicast-addresses/multicast-addresses.xml) says:
>
>       AD-HOC Block III (233.252.0.0-233.255.255.255 (233.252/14))
>
>       233.252.0.0-233.252.0.255	MCAST-TEST-NET	[IANA]	2010-01-20	2010-01-20
>
>    i.e. the IANA registry does NOT say that this address block has been allocated for documentation. Indeed, it appears (by virtue of its name MCAST-TEST-NET) to be already assigned for test purposes.
>
>    In IPv4 and IPv6 unicast we have deliberately split documentation and test addresses. It would be useful to either understand why this split is not appropriate here, or why this draft does not request a block for IPv4 ASM in the say way that it is already requesting a block for IPv6. This reviewer is of the personal view that a separate assignment would be appropriate here, in a comparable fashion to that being proposed for IPv6 ASM.

Good point. I don't remember the history, but I was told that we
already had these addresses we could use for IPv4, and then I
confess I did not think much more about it. Having separate
addresses for test and configuration is a good point though!

I'm trying to check with IANA what the original request actually
was. I'll hopefully get some feedback soon. Does anyone reading
this know?

If they indeed are for testing (which the name clearly
indicates), then I'm in favor of requesting a separate
documentation block as well.

I think whatever we decide here is something I need to take back
to mboned as well, to make sure we're all in agreement.

Stig

>
> 2. IANA Considerations
>
>     Obviously the reviewr is anticipating that the 2 TBD IANA assignments will be nade prior to publication.
>
>
> Nits:
>
>    none found (but this reviewer is the first to admit that he is not a good proof reader!)
>
> --
>
> Geoff Huston

---

From: Stig Venaas <[email-masked]>
Date: Wed, 02 May 2012 11:27:25 -0700

On 5/2/2012 7:57 AM, Tim Chown wrote:
> Interesting.
>
> Out of curiosity I looked at RFC5737 on IPv4 unicast documentation prefixes and it says
>
> "The blocks 192.0.2.0/24 (TEST-NET-1), 198.51.100.0/24 (TEST-NET-2), and
> 203.0.113.0/24 (TEST-NET-3) are provided for use in documentation"
>
> which suggests TEST-NET is used elsewhere for documentation purposes.
>
> Means you can also use 234.192.0.2 for documentation too, presumbly ;)
>
> Anyway, let's see what response Stig gets.

They pointed me to RFC 5771, I should have thought of that. Section 9 says:

    The first /24 in this range, 233.252.0.0/24, is assigned as "MCAST-
    TEST-NET" for use in documentation and example code. 233.252.0.0/24
    SHOULD be used in conjunction with the [RFC2606] domain names
    example.com or example.net in vendor and protocol documentation.
    Addresses within 233.252.0.0/24 MUST NOT appear on the public
    Internet.

Hence it looks like these are exactly what we want. The name
MCAST-TEST-NET is confusing, but since it is in line with unicast
as you write above, it seems we should not make any changes regarding
this in the draft.

Stig

>
> Tim
>
>
> On 1 May 2012, at 20:00, Stig Venaas<[email-masked]>  wrote:
>

---

From: Geoff Huston <[email-masked]>
Date: Thu, 3 May 2012 04:44:43 +1000

IANA's naming conventions are not clear to me.  Don't forget there is RFC2544 which explicitly assigns 198.15.0.0/15 as a test block as distinct from a documentation block.

Geoff

On 03/05/2012, at 12:57 AM, Tim Chown wrote:

> On 1 May 2012, at 20:00, Stig Venaas <[email-masked]> wrote:
> 

--

Geoff Huston
Chief Scientist, APNIC

+61 7 3858 3100
[email-masked]

---

From: Geoff Huston <[email-masked]>
Date: Thu, 3 May 2012 04:56:33 +1000

> as you write above, it seems we should not make any changes regarding

I agree with your assessment

It would've been helpful if the references section in the IANA registry http://www.iana.org/assignments/multicast-addresses/multicast-addresses.xml for this address block referenced RFC5771 rather than as it is today, namely [IANA].

You might want to consider adding to your IANA considerations section that the entry for 233.252.0.0-233.252.0.255 MCAST-TEST-NET reference this RFC-to-be, as should all the other IANA registry entries for the documentation address assignments made in this document, so that all the documentation prefixes are clearly identified in the IANA  multicast address registries as such

cheers,

    Geoff

---

From: Stig Venaas <[email-masked]>
Date: Wed, 02 May 2012 12:04:36 -0700

> I agree with your assessment

First of all, I find the naming confusing, but guess best to stick
to it now.

> It would've been helpful if the references section in the IANA registry http://www.iana.org/assignments/multicast-addresses/multicast-addresses.xml for this address block referenced RFC5771 rather…

Yes, I just suggested that to IANA as well.

> You might want to consider adding to your IANA considerations section that the entry for 233.252.0.0-233.252.0.255 MCAST-TEST-NET reference this RFC-to-be, as should all the other IANA registry ent…

Thanks, I'll do that.

You may also have seen an email from IANA regarding the IANA actions for
this document, which I responded to just now. The current IANA
considerations need to be improved.

Thanks Geoff,

Stig

---

From: Tim Chown <[email-masked]>
Date: Wed, 2 May 2012 15:57:09 +0100

Interesting.

Tim

---

From: Tim Chown <[email-masked]>
Date: Wed, 2 May 2012 21:19:53 +0100

Sounds goo, thanks Geoff.

Tim